
list tests
 test1
 memtest1
end

# Test if cut works
macro test1

 $PASS = 1

 mcreate tim 100 10
 zap tim 0 0 100 10 -v 10

 cut tim xdir imx X 40 4 60 6
 cut tim ydir imy Y 40 4 60 6

 if (xdir[] != 60)
  $PASS = 0
 end
 if (imx[] != 60)
  $PASS = 0
 end

 if (ydir[] != 6)
  $PASS = 0
 end
 if (imy[] != 6)
  $PASS = 0
 end

 if (imx[0] != 10*6)
  $PASS = 0
 end
 if (imy[0] != 10*60)
  $PASS = 0
 end
end
